> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sportsapipro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tournament / Promotion Endpoints

> 8 endpoints for MMA promotions: UFC, Bellator, PFL event data

## Promotion Endpoints (8)

All endpoints use base URL `https://api.sportsapipro.com/v2/mma`.

### Promotion Info

```bash theme={null}
GET /api/mma/tournament/:id/info
GET /api/mma/tournament/:id/seasons
GET /api/mma/tournament/:id/image
GET /api/mma/tournament/:id/featured-events
GET /api/mma/tournament/:id/media
```

### Season-Specific Endpoints

All require `tournamentId` + `seasonId`. Discover season IDs via the `/seasons` endpoint.

```bash theme={null}
GET /api/mma/tournament/:id/season/:sid/events/last/:page
GET /api/mma/tournament/:id/season/:sid/info
GET /api/mma/tournament/:id/season/:sid/venues
```
